Package org.apache.sling.distribution.queue.impl.resource

## Class ResourceIterator

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.resource.ResourceIterator

All Implemented Interfaces:
  `Iterator<org.apache.sling.api.resource.Resource>`

    public class ResourceIterator
    extends Object
    implements Iterator<org.apache.sling.api.resource.Resource>

### Constructor Summary

Constructors
`ResourceIterator​(org.apache.sling.api.resource.Resource root, String folderResourceType, boolean includeFolders, boolean includeLeafs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`org.apache.sling.api.resource.Resource` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### ResourceIterator

    public ResourceIterator​(org.apache.sling.api.resource.Resource root,
                            String folderResourceType,
                            boolean includeFolders,
                            boolean includeLeafs)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<org.apache.sling.api.resource.Resource>`

#### next

    public org.apache.sling.api.resource.Resource next()

Specified by:
  `next` in interface `Iterator<org.apache.sling.api.resource.Resource>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<org.apache.sling.api.resource.Resource>`